package com.srs.comprehensive.mapper;

import java.util.List;
import com.srs.comprehensive.domain.SrsBonusRules;
import org.apache.ibatis.annotations.Mapper;

/**
 * 加分规则Mapper接口
 * 
 * @author srs
 * @date 2023-06-19
 */
@Mapper
public interface StsBonusRulesMapper 
{
    /**
     * 查询加分规则
     * 
     * @param id 加分规则主键
     * @return 加分规则
     */
    public SrsBonusRules selectStsBonusRulesById(Long id);

    /**
     * 查询加分规则列表
     * 
     * @param srsBonusRules 加分规则
     * @return 加分规则集合
     */
    public List<SrsBonusRules> selectStsBonusRulesList(SrsBonusRules srsBonusRules);

    /**
     * 新增加分规则
     * 
     * @param srsBonusRules 加分规则
     * @return 结果
     */
    public int insertStsBonusRules(SrsBonusRules srsBonusRules);

    /**
     * 修改加分规则
     * 
     * @param srsBonusRules 加分规则
     * @return 结果
     */
    public int updateStsBonusRules(SrsBonusRules srsBonusRules);

    /**
     * 删除加分规则
     * 
     * @param id 加分规则主键
     * @return 结果
     */
    public int deleteStsBonusRulesById(Long id);

    /**
     * 批量删除加分规则
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStsBonusRulesByIds(Long[] ids);
}
